Compiling rkward with cmake : AUTOMOC error

I am running OpenSUSE 11.1 on my thinkpad T61 with a KDE4 desktop.

I installed R-2.8.1 from the repositories, but needed a GUI for it. I
had installed rkward earlier on Ubuntu, so I decided to download the
rkward 0.5.0 source from the rkward project page.

I get the following error when I try to compile it with cmake :

Code:

CMake Error at dataeditor/CMakeLists.txt:19 (QT4_AUTOMOC):
Unknown CMake command “QT4_AUTOMOC”.

– Configuring incomplete, errors occurred!


I have the qt4 headers installed and I do have the QT4_AUTOMOC macro in
the /usr folder. I am pointing cmake to the correct folder with the
source files including CMakeLists.txt. Also, rkward 0.5.0 is the only
version which supports KDE4, so I dont really have a choice on it, plus,
it was a very neat GUI, so it would be great if I could get it running.

Ideas anyone?


darthshak

darthshak’s Profile: http://forums.opensuse.org/member.php?userid=21881
View this thread: http://forums.opensuse.org/showthread.php?t=407558

<bump>
Anyone?


darthshak

darthshak’s Profile: http://forums.opensuse.org/member.php?userid=21881
View this thread: http://forums.opensuse.org/showthread.php?t=407558

Make sure you have libqt4-devel installed as well as both thje base R
package and the Development R package. Also libkde4-devl and
libkdecore4-devel.


silenuz

silenuz’s Profile: http://forums.opensuse.org/member.php?userid=19071
View this thread: http://forums.opensuse.org/showthread.php?t=407558

Yup, I have all those installed. Still no luck.


darthshak

darthshak’s Profile: http://forums.opensuse.org/member.php?userid=21881
View this thread: http://forums.opensuse.org/showthread.php?t=407558